Subject: Re: [RFC 3/3] zImage: Exception vector support

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 23 Feb 2007 18:06:13 +0100

> Having those vectors makes a 4MB dead gap in the binary image.  The ps3's
> loader supports a gziped image so there is no problem, but for the general
> case of binary images, there is no way we can have those always in there.

That's still a bit gross even with a zImage... right now, I don't think
you can specify the link address per platform, can you ? Would be better
if it was set to 0 for ps3... that or have the reset vector be at BASE +
0x100 ...

Ben.